Name:		iptables
Summary:	Tools for managing Linux kernel packet filtering capabilities.
Version:	1.2.7a
Release:	1.3.0
Source0:	http://netfilter.kernelnotes.org/%{name}-%{version}.tar.bz2
Source1:	iptables.init-gd-2
Source2:	firewall-scripts-%{release}.tar.gz
Group:		System Environment/Base
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
License:	GPL
Requires:	kernel >= 2.4.0
PreReq:		chkconfig
Obsoletes:	ipchains, ipmasqadm

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man8/iptables*

  %dir /lib/iptables
  %attr(0700,root,root)		/etc/init.d/iptables
  %attr(0700,root,root)		/etc/init.d/ipchains
  %attr(0500,root,root)		/lib/iptables/libipt*
  %attr(0500,root,root)		%{_root_sbindir}/iptables*

  %attr(0640,root,admin)	%config(noreplace) /etc/firewall/firewall.conf
  %attr(0740,root,admin)	%config(noreplace) /etc/firewall/include/default.sh
  %attr(0740,root,admin)	%config(noreplace) /etc/firewall/include/portfw.sh
  %attr(0740,root,admin)	%config(noreplace) /etc/firewall/custom/user.sh

%description
The iptables utility controls the network packet filtering code in the
Linux kernel. If you need to set up firewalls and/or IP masquerading,
you should install this package.

%prep
%setup -q -a 2

%build
  make COPT_FLAGS="$RPM_OPT_FLAGS" LIBDIR=/lib
  make COPT_FLAGS="$RPM_OPT_FLAGS" LIBDIR=/lib iptables-save iptables-restore

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install DESTDIR=%{buildroot} BINDIR=/sbin LIBDIR=/lib MANDIR=%{_mandir}
  cp iptables-{save,restore} $RPM_BUILD_ROOT/sbin
  cp iptables-*.8 $RPM_BUILD_ROOT%{_mandir}/man8

  # Make ipchains a symlink to iptables.
  mkdir -p $RPM_BUILD_ROOT/etc/init.d
  install -c -m700 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/iptables
  ln -s /etc/init.d/iptables $RPM_BUILD_ROOT/etc/init.d/ipchains

  # Install EnGarde firewall scripts.
  mkdir -p $RPM_BUILD_ROOT/etc/firewall/{custom,include}
  cd firewall-scripts-%{release}
  install -m400 firewall.conf $RPM_BUILD_ROOT/etc/firewall
  install -m750 default.sh    $RPM_BUILD_ROOT/etc/firewall/include
  install -m750 portfw.sh     $RPM_BUILD_ROOT/etc/firewall/include
  install -m750 user.sh       $RPM_BUILD_ROOT/etc/firewall/custom

%post
  /sbin/chkconfig --add iptables

%preun
  if [ "$1" = 0 ]; then
	/sbin/chkconfig --del iptables
  fi

%clean
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Wed Mar 05 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.7a, Release 1.5.3
  - Re-write default.sh so it actually works correctly.
  - The firewall scripts (default.sh, portfw.sh, user.sh, firewall.conf)
    are now being kept in Ryan's CVS.  If you need to make changes you
    must send them to Ryan so he can produce a new packageable tarball.

* Tue Mar 04 2003 Nicholas DeClario <nick@guardiandigital.com>
- Version 1.2.7a, Release 1.5.2
  - Fixed FORWARD table rules made the default DROP
  - Forced clearing of mangle table table on startup and stop
  - Made logs more verbose

* Tue Feb 25 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.7a, Release 1.5.1
  - Add 'ipmasqadm' to 'Obsoletes'.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Jan 13 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.7a, Release 1.2.8
  - Update transproxy.sh.
  - Lose $KERNEL_DIR in %build.

* Fri Jan 03 2003 Nicholas DeClario <nick@guardiandigital.com>
- Version 1.2.7a, Release 1.2.7
  - made minor changes/fixes to default.sh

* Tue Dec 03 2002 Nicholas DeClario <nick@guardiandigital.com>
- Version 1.2.7a, Release 1.2.6
  - Fixed POSTROUTING errors in init.d and default.sh files

* Mon Dec 02 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.7a, Release 1.2.5
  - {Provides,Obsoletes}: ipchains

* Mon Dec 02 2002 Nicholas DeClario <nick@guardiandigital.com>
- Version 1.2.7a, Release 1.2.4
  - Added init.d/ipchains symlink for webtool capability issues

* Mon Nov 25 2002 Nicholas DeClario <nick@guardiandigital.com>
- Version 1.2.7a, Release 1.2.3
  - Added firewall scripts and adjusted directory structure

* Tue Nov 19 2002 Dave Wreski <dave@guardiandigital.com>
  - Version 1.2.7a, Revision 1.2.2
     - Upgrade to 1.2.7a
     - Adjust to build 1.2.7a

* Wed Jun 26 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.6a, Release 1.2.0
  - Initial build for EnGarde.


